org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgeFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures
  - - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgeFeatures

- All Implemented Interfaces:
    Graph.Features.EdgeFeatures, Graph.Features.ElementFeatures, Graph.Features.FeatureSet
  Enclosing class:
    EmptyGraph.EmptyGraphFeatures

      public final class EmptyGraph.EmptyGraphFeatures.EmptyGraphEdgeFeatures
      extends EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures
      implements Graph.Features.EdgeFeatures

  Edge features defined such that they support immutability but allow all other possibilities.

- - ### Property Summary

    - ### Properties inherited from class org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

    - ### Properties inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.EdgeFeatures

      `FEATURE_ADD_EDGES, FEATURE_REMOVE_EDGES, FEATURE_UPSERT`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `FEATURE_ADD_PROPERTY, FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyGraphEdgeFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph.Features.EdgePropertyFeatures` | `properties()` Gets features related to "properties" on an `Edge`.
    `boolean` | `supportsAddEdges()` Determines if an `Edge` can be added to a `Vertex`.
    `boolean` | `supportsRemoveEdges()` Determines if an `Edge` can be removed from a `Vertex`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.EdgeFeatures

      `supportsUpsert`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsAnyIds, supportsCustomIds, supportsNumericIds, supportsRemoveProperty, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds, willAllowId`

- - ### Constructor Detail

    - #### EmptyGraphEdgeFeatures

          public EmptyGraphEdgeFeatures()

  - ### Method Detail

    - #### supportsAddEdges

          public boolean supportsAddEdges()

      Description copied from interface: `Graph.Features.EdgeFeatures`
      Determines if an `Edge` can be added to a `Vertex`.
      Specified by:
        `supportsAddEdges` in interface `Graph.Features.EdgeFeatures`

    - #### supportsRemoveEdges

          public boolean supportsRemoveEdges()

      Description copied from interface: `Graph.Features.EdgeFeatures`
      Determines if an `Edge` can be removed from a `Vertex`.
      Specified by:
        `supportsRemoveEdges` in interface `Graph.Features.EdgeFeatures`

    - #### properties

          public Graph.Features.EdgePropertyFeatures properties()

      Description copied from interface: `Graph.Features.EdgeFeatures`
      Gets features related to "properties" on an `Edge`.
      Specified by:
        `properties` in interface `Graph.Features.EdgeFeatures`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.